%define name 	mhwaveedit
%define version 1.4.4
%define release 1mdk

Summary:	WAV Editing Package
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Sound
URL: 		https://gna.org/projects/mhwaveedit/
Source0: 	http://download.gna.org/mhwaveedit/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: 	pkgconfig gtk+2-devel SDL-devel libsndfile-devel libalsa-devel
BuildRequires:	jackit-devel libsamplerate-devel ladspa-devel

%description
mhWaveEdit is a graphical program for editing sound files. It is completely 
free (GPL) and it's written by Magnus Hjorth. It is intended to be 
user-friendly and robust. 

OGG and LAME support are available if installed.

%prep
%setup -q

%build
%configure2_5x --without-portaudio
%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

# Menu
mkdir -p %buildroot/%{_menudir}
cat > %buildroot/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="sound_section.png" section="Multimedia/Sound" \
title="MHWaveEdit" longtitle="WAV audio editor"
EOF

%clean
rm -rf %buildroot/

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%_bindir/%name
%_menudir/%name

%changelog
* Sun Aug 28 2005 Austin Acton <austin@mandriva.org> 1.4.4-1mdk
- New release 1.4.4

* Fri Aug 12 2005 Austin Acton <austin@mandriva.org> 1.4.3-1mdk
- New release 1.4.3

* Wed Jul 13 2005 Austin Acton <austin@mandriva.org> 1.4.2-1mdk
- New release 1.4.2
- new URL

* Thu Jun 09 2005 Austin Acton <austin@mandriva.org> 1.4.1-1mdk
- New release 1.4.1

* Sat May 14 2005 Austin Acton <austin@mandriva.org> 1.4.0-1mdk
- New release 1.4.0
- locales

* Sun Apr 24 2005 Austin Acton <austin@mandriva.org> 1.3.8-1mdk
- New release 1.3.8

* Sun Mar 27 2005 Austin Acton <austin@mandrake.org> 1.3.7-1mdk
- New release 1.3.7

* Wed Feb 23 2005 Austin Acton <austin@mandrake.org> 1.3.6-1mdk
- New release 1.3.6

* Wed Jan 26 2005 Austin Acton <austin@mandrake.org> 1.3.5-1mdk
- 1.3.5

* Mon Dec 27 2004 Austin Acton <austin@mandrake.org> 1.3.4-1mdk
- 1.3.4
- update description
- buildrequires jack and samplerate

* Fri Oct 8 2004 Austin Acton <austin@mandrake.org> 1.3.3-1mdk
- 1.3.3

* Sat Aug 7 2004 Austin Acton <austin@mandrake.org> 1.3.1-1mdk
- 1.3.1

* Tue Jun 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.0-1mdk
- 1.3.0

* Tue Feb 24 2004 Austin Acton <austin@mandrake.org> 1.2.7-1mdk
- 1.2.7
- alsa support
- configure 2.5

* Sat Feb 7 2004 Austin Acton <austin@mandrake.org> 1.2.6-1mdk
- 1.2.6

* Mon Jan 19 2004 Austin Acton <austin@mandrake.org> 1.2.5-1mdk
- 1.2.5

* Sun Dec 28 2003 Austin Acton <austin@linux.ca> 1.2.4-1mdk
- 1.2.4
- a few spec fixes

* Tue Jun 10 2003 Austin Acton <aacton@yorku.ca> 1.2.3-1mdk
- 1.2.3

* Mon May 26 2003 Austin Acton <aacton@yorku.ca> 1.2.2-1mdk
- 1.2.2

* Sun May 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1
- new url
- fix install

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-2mdk
- rebuild

* Fri Jan 17 2003 Austin Acton <aacton@yorku.ca> 1.2.0-1mdk
- 1.2.0

* Fri Nov 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- initial package
